BEGIN VVPHREYA




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("PhreyaResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~I see I am not in Korkorran crypt. Why did you resurrect me?~
   ++ ~I said that I will save you, and I saved you.~ + briefingNVF1
   ++ ~I have weakness for women.~ + briefingNVF2
   ++ ~I wanted to kill you again for what you did to us!~ + briefingFight
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("PhreyaResurrected","GLOBAL",1)~
THEN BEGIN greetingStartM
   SAY ~I see I am not in Korkorran crypt. Why did you resurrect me?~
   ++ ~I said that I will save you, and I saved you.~ + briefingNVM1
   ++ ~I have weakness for women.~ + briefingNVM2
   ++ ~I wanted to kill you again for what you did to us!~ + briefingFight
END

IF ~~ briefingNVF1
  SAY ~It's good to hear. I think I went paranoid for three hundred years I was in prison. Thank you for this.~
  IF ~Race(Player1,VAMPIRE)~ THEN REPLY ~We are both vampires, you know. We should not harm each other.~ GOTO briefingVampF
  IF ~InParty("hexxat")
  !Dead("hexxat")~ THEN REPLY ~Just don't forget to apologize before Hexxat for terrible moments she experienced because of you.~ GOTO   briefingHexxatF
  IF ~~ THEN REPLY ~Your thanks are apprreciated, Phreya.~ GOTO briefingGirl
END

IF ~~ briefingNVM1
  SAY ~It's good to hear. I think I went paranoid for three hundred years I was in prison. Thank you for this.~
  IF ~Race(Player1,VAMPIRE)~ THEN REPLY ~We are both vampires, you know. We should not harm each other.~ GOTO briefingVampM 
  IF ~InParty("hexxat")
  !Dead("hexxat")~ THEN REPLY ~Just don't forget to apologize before Hexxat for terrible moments she experienced because of you.~ GOTO   briefingHexxatM
  IF ~~ THEN REPLY ~Your thanks are appreciated, Phreya.~ GOTO briefingMan
END

IF ~~ briefingNVF2
  SAY ~You want to have sex with me? Maybe later. I am just reanimated moments ago, I can't think of anything clearly.~
  IF ~Race(Player1,VAMPIRE)~ THEN REPLY ~We are both vampires, you know. We should not harm each other.~ GOTO briefingVampF  
  IF ~InParty("hexxat")
  !Dead("hexxat")~ THEN REPLY ~Just don't forget to apologize before Hexxat for terrible moments she experienced because of you.~ GOTO   briefingHexxatF
  IF ~~ THEN REPLY ~Take your time, Phreya.~ GOTO briefingGirl
END

IF ~~ briefingNVM2
  SAY ~You want to have sex with me? Maybe later. I didn't have practice for a three hundred years, you know. I hope you will not press me to do this unwillingly?~
  IF ~Race(Player1,VAMPIRE)~ THEN REPLY ~We are both vampires, you know. We should not harm each other.~ GOTO briefingVampM  
  IF ~InParty("hexxat")
  !Dead("hexxat")~ THEN REPLY ~Just don't forget to apologize before Hexxat for terrible moments she experienced because of you.~ GOTO   briefingHexxatM
  IF ~~ THEN REPLY ~Take your time, Phreya.~ GOTO briefingMan
END

IF ~~ briefingHexxatM
   SAY ~Hexxat, you must forgive me, please. You don't know what Korkorran done to me these three hundred years. I am really sorry I messed with you. Please, maybe we will return to being friends? Peace?~
  ++ ~Apologies accepted. You are free to go where you like. I release you.~ + briefingFree
 ++ ~Apologies accepted. Join my party and acknowledge me as your master.~ + briefingJoinM
 ++ ~I think it's not enough. Prepare to die!~ + briefingFight  
END

IF ~~ briefingHexxatF
   SAY ~Hexxat, you must forgive me, please. You don't know what Korkorran done to me these three hundred years. I am really sorry I messed with you. Please, maybe we will return to being friends? Peace?~
  ++ ~Apologies accepted. You are free to go where you like. I release you.~ + briefingFree
 ++ ~Apologies accepted. Join my party and acknowledge me as your master.~ + briefingJoinF
 ++ ~I think it's not enough. Prepare to die!~ + briefingFight  
END

IF ~~ briefingGirl
   SAY ~I am not ready to sexual affairs. Maybe later.~
   IF ~~ THEN DO ~SetGlobal("PhreyaResurrected","GLOBAL",2)~ GOTO briefingVampF 
END

IF ~~ briefingMan
   SAY ~I am not ready to lay with you. Maybe later.~
   IF ~~ THEN DO ~SetGlobal("PhreyaResurrected","GLOBAL",2)~ GOTO briefingVampM
END


IF ~~ briefingFight
  SAY ~Scum!~
  IF ~~ THEN DO ~SetGlobal("PhreyaResurrected","GLOBAL",2)
  SetGlobal("PhreyaLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefingVampM
 SAY ~What do you plan to do with me? I have opposed you.~
 ++ ~You are free to go where you like. I saved you.~ + briefingFree
 ++ ~Join my party and acknowledge me as your master.~ + briefingJoinM
 ++ ~You are right, I better kill you right now!~ + briefingFight
END

IF ~~ briefingVampF
 SAY ~What do you plan to do with me? I have opposed you.~
 ++ ~You are free to go where you like. I saved you.~ + briefingFree
 ++ ~Join my party and acknowledge me as your mistress.~ + briefingJoinF
 ++ ~You are right, I better kill you right now!~ + briefingFight
END

IF ~~ briefingJoinM
  SAY ~I will join your party and acknowledge you as my master and my saviour.~ 
  IF ~~ THEN DO ~DestroyItem("MINHP1")
  DestroyItem("VVHPHREY")
 JoinParty() ~ EXIT
END

IF ~~ briefingJoinF
  SAY ~I will join your party and acknowledge you as my mistress and my saviour.~ 
  IF ~~ THEN DO ~DestroyItem("MINHP1")
  DestroyItem("VVHPHREY")
 JoinParty() ~ EXIT
END





IF ~~ briefingFree
  SAY ~Goodbye, <CHARNAME>. For three hundred years I didn't see a world. I will return to my home town in south.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("PhreyaResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you still need my skills, <CHARNAME>?~ 
 ++ ~Come with me, Phreya, I need your skills.~ + notparty1
 ++ ~Stay here, Phreya, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefingFree 
 ++ ~I decided to end your life.~ + briefingFight
END

IF ~~ notparty1
  SAY ~Let's go.~ 
  IF ~~ THEN DO ~DestroyItem("MINHP1")
  DestroyItem("VVHPHREY")
 JoinParty() ~ EXIT
END

IF ~~ notparty2
SAY ~Just don't completely forget me here, as L did.~
IF ~~ THEN DO ~~ EXIT
END

IF ~!Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you still need my skills, <CHARNAME>?~ 
 ++ ~Come with me, Phreya, I need your skills.~ + notparty1
 ++ ~Stay here, Phreya, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefingFree  
 ++ ~I decided to end your life.~ + briefingFight
END

IF ~!Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you still need my skills, <CHARNAME>?~ 
 ++ ~Come with me, Phreya, I need your skills.~ + notparty1
 ++ ~Go to our stronghold in Grave Yard District in Ahkatla. I will find you there.~ + notpartGoSTF
 ++ ~Stay here, Phreya, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefingFree  
 ++ ~I decided to end your life.~ + briefingFight
END


IF ~Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you still need my skills, <CHARNAME>?~ 
 ++ ~Come with me, Phreya, I need your skills.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there.~ + notpartGoSTM
 ++ ~Stay here, Phreya, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefingFree  
 ++ ~I decided to end your life.~ + briefingFight
END

IF ~~ notparty1m
  SAY ~I'll be watching you.~
  IF ~~ THEN DO ~
	//	DestroyItem("VVPhreya")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notpartGoSTM
   SAY ~Good, I will go there at once.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.706],S)~ EXIT
 END  
 
 IF ~~ notpartGoSTF
   SAY ~Good, I will go there at once.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.706],S)~ EXIT
 END 

IF ~~ notpartGoST
   SAY ~Good, I will go there at once.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.706],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~Do you need something from me?~ 
 IF ~~ THEN REPLY ~Are you hungry? You can suck my blood, Phreya.~ GOTO suckblood
 IF ~!AreaCheck("OH7300")~ THEN REPLY ~Tell me your story, Phreya.~ GOTO talkPhreyaM
 IF ~~ THEN REPLY ~No, nothing right now, Phreya.~ GOTO byesilent
 IF ~~ THEN REPLY ~I decided to end your life.~ GOTO briefingFight
END

IF ~!Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~Do you need something from me?~ 
 IF ~~ THEN REPLY ~Are you hungry? You can suck my blood, Phreya.~ GOTO suckblood
 IF ~!AreaCheck("OH7300")~ THEN REPLY ~Tell me your story, Phreya.~ GOTO talkPhreyaF
 IF ~~ THEN REPLY ~No, nothing right now, Phreya.~ GOTO byesilent
 IF ~~ THEN REPLY ~I decided to end your life.~ GOTO briefingFight
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~Do you need something from me?~ 
 IF ~~ THEN REPLY ~Are you hungry? You can suck my blood, Phreya.~ GOTO suckblood
 IF ~~ THEN REPLY ~Make me a vampire, Phreya.~ GOTO vampconvm
 IF ~!AreaCheck("OH7300")~ THEN REPLY ~Tell me your story, Phreya.~ GOTO talkPhreyaM
 IF ~~ THEN REPLY ~No, nothing right now, Phreya. Sorry.~ GOTO byesilent
 IF ~~ THEN REPLY ~I decided to end your life.~ GOTO briefingFight
END

IF ~!Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~Do you need something from me?~ 
 IF ~~ THEN REPLY ~Are you hungry? You can suck my blood, Phreya.~ GOTO suckblood
 IF ~~ THEN REPLY ~Make me a vampire, Phreya.~ GOTO vampconvf 
 IF ~!AreaCheck("OH7300")~ THEN REPLY ~Tell me your story, Phreya.~ GOTO  talkPhreyaM
 IF ~~ THEN REPLY ~No, nothing right now, Phreya. Sorry for disturbance.~ GOTO byesilent
 IF ~~ THEN REPLY ~I decided to end your life.~ GOTO briefingFight
END

IF ~~ byesilent
SAY ~I haven't talked to anyone for a centuries, so feel free to talk to me.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkPhreyaM
  SAY ~I was born in Chult. My parents were from Amn and they were slaves. I was sold to local thieves guild. That's where I have trained to become assasin. When I was twenty years old, I was contacted by Cabrina, you sure know her, if you know Hexxat. I accepted new master, you know him as L, because he paid large sums for small works.~
  IF ~~ THEN GOTO talkPhreyaM2
END

IF ~~ talkPhreyaM2
  SAY ~If only I would know he will send me to suicide mission to steal philacteria from lich Korkorran. When I got to Korkorran's crypt, I was immediately captured, tortured and made into undead. You know, to live three hundred years is good, but it's bad, that I couldn't step one foot to surface. Crypt is located in desert and even a vampire can't run distance to most close ruins or town in one day.~
  IF ~~ THEN GOTO talkPhreyaM3
END

IF ~~ talkPhreyaM3
  SAY ~The end of story you know. I am here, finally I can taste a blood of living people, not some imitations by Korkorran's magic.~
  IF ~~ THEN REPLY ~Wait, you said 'imitations'. Did Korkorran managed to create artifical blood for vampires?~ GOTO talkPhreyaM4
END

IF ~~ talkPhreyaM4
  SAY ~Yes, he created magical liquid to subdue vampire's hunger for blood.~
  IF ~~ THEN REPLY ~Old charlatan. He said to vampire's Night Counsil, that he didn't succeded.~ GOTO talkPhreyaM5
END

IF ~~ talkPhreyaM5
  SAY ~I know a receipt for this 'blood' and I can share it with you.~
  IF ~Global("PhreyaJoinedPartyInCrypt","GLOBAL",1)~ THEN GOTO receiptForFree
  IF ~!Global("PhreyaJoinedPartyInCrypt","GLOBAL",1)~ THEN GOTO receiptForMoney 
END



IF ~~ talkPhreyaF
  SAY ~I was born in Chult. My parents were from Amn and they were slaves. I was sold to local thieves guild. That's where I have trained to become assasin. When I was twenty years old, I was contacted by Cabrina, you sure know her, if you know Hexxat. I accepted new master, you know him as L, because he paid large sums for small works.~
  IF ~~ THEN GOTO talkPhreyaM2
END

IF ~~ talkPhreyaF2
  SAY ~If only I would know he will send me to suicide mission to steal philacteria from lich Korkorran. When I got to Korkorran's crypt, I was immediately captured, tortured and made into undead. You know, to live three hundred years is good, but it's bad, that I couldn't step one foot to surface. Crypt is located in desert and even a vampire can't run distance to most close ruins or town in one day.~
  IF ~~ THEN GOTO talkPhreyaM3
END

IF ~~ talkPhreyaF3
  SAY ~The end of story you know. I am here, finally I can taste a blood of living people, not some imitations by Korkorran's magic.~
  IF ~~ THEN REPLY ~Wait, you said 'imitations'. Did Korkorran managed to create artifical blood for vampires?~ GOTO talkPhreyaF4
END


IF ~~ talkPhreyaF4
  SAY ~Yes, he created magical liquid to subdue vampire's hunger for blood. I stealt receipt for it from necromancer woman worked for Korkorran. Korkorran himself didn't bother to prepare food for his cattle. It was done by servants. I wanted to know, what they were feeding me.~
  IF ~~ THEN REPLY ~Old charlatan. He said to vampire's Night Counsil, that he didn't succeded.~ GOTO talkPhreyaF5
END

IF ~~ talkPhreyaF5
  SAY ~I know a receipt for this artifical 'blood' and I can share it with you.~
  IF ~Global("PhreyaJoinedPartyInCrypt","GLOBAL",1)~ THEN GOTO receiptForFree
  IF ~!Global("PhreyaJoinedPartyInCrypt","GLOBAL",1)~ THEN GOTO receiptForMoney 
END

IF ~~ receiptForFree
  SAY ~You didn't lie to me in crypt and you have saved me. So I will wrote you this receipt for free.~
  IF ~~ THEN GOTO receiptFin
END

IF ~~ receiptForMoney
  SAY ~I will sell it to you for a mere 200000 gold. I must have my part of fun after these boring years.~
  IF ~PartyGoldGT(200000)~ THEN REPLY ~Here are your money. Now give me the scroll!~ GOTO  receiptFin
  IF ~!PartyGoldGT(200000)~ THEN REPLY ~I don't have a sum right now. I will raise it and we will talk again.~ GOTO  receiptNoMoney  
END

IF ~~ receiptFin
  SAY ~I wrote the receipt on this scroll. By the way, this liquid is not tasty at all. It has taste of swamp water.~
  IF ~~ THEN DO ~SetGlobal("PhreyaWroteReceipt","GLOBAL",1)
  GiveItemCreate("VVHSCROL",Player1,1,1,0)~ EXIT
END

IF ~~ receiptNoMoney
  SAY ~I will patiently wait until you gather all sum.~
  IF ~~ THEN DO ~~ EXIT
END



IF ~~ suckblood
  SAY ~Thank you for your generocity!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Are you joking? I will not drink this thing! Even Korkorran liquids were tasting better!~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ suckblood2
  SAY ~Oooh, good!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,85,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Phreya embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Phreya embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Phreya.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Phreya. She is surely a hot eastern woman.)~

  IF ~~ THEN DO ~  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,2,ADD)
	ChangeStat(Player1,INT,1,ADD)

		SetGlobal("PhreyaVampirized","GLOBAL",1)	
	~ EXIT
END


